Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.print
Class PrintJobAttributeAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.print.PrintJobAttributeAction

All Implemented Interfaces:
  PrintJobAttributeListener

public class PrintJobAttributeAction
extends AbstractAction
implements PrintJobAttributeListener

Actionimplementierung fuer PrintJobAttributeEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`PrintJobAttributeAction()`

Method Summary
`void` | `attributeUpdate(PrintJobAttributeEvent pjae)`
`void` | `doAttributeUpdate(PrintJobAttributeEvent pjae)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintJobAttributeAction

    public PrintJobAttributeAction()

Method Detail

### attributeUpdate

    public void attributeUpdate(PrintJobAttributeEvent pjae)

  Specified by:
    `attributeUpdate` in interface `PrintJobAttributeListener`

### doAttributeUpdate

    public void doAttributeUpdate(PrintJobAttributeEvent pjae)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pjae` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD